## gerbv 2.8.2

=== gerbv.github.io/Makefile ===
.PHONY: all
all: clean build


.PHONY: clean
clean:
	if [ -f 'doc' ]; then		\
		rm -rf 'doc';		\
	fi

	if [ -f 'index.html' ]; then	\
		rm 'index.html';	\
	fi


.PHONY: build
build:
	make -C '..' doxygen
	cp -r '../doc/html' 'doc'

	m4 'index.html.m4' > 'index.html'

## gerbv 2.5.0

=== debian/changelog ===
gerbv (2.5.0-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.2
  * Add git and homepage fields to control file
  * Switch to dpkg-source 3.0 (quilt) format
  * Rewrote both patches in quilt format
  * Change debhelper dependency to 8
  * Changed build targets according to new standard

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 18 Jun 2011 11:32:33 +0200

gerbv (2.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set LDFLAGS to -ldl (Closes: #554484).
  * Don't ship .la files (Closes: #621154).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 12:17:52 +0200

gerbv (2.4.0-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Bump standards version to 3.8.4
  * Remove patch 02_fix_manpage, fixed in upstream
  * Add misc depends

  [ Wesley J. Landaker ]
  * Override lintian warnings about the shared library. This package is small
    enough that splitting it doesn't make sense.
  * Add Gudjon to uploaders.
  * Move to debhelper compat level 7.

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 23 Feb 2010 11:02:37 -0700

gerbv (2.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #539237, #272717, #404737)
  * Remove patch 01_remove_education.dpatch, not needed
  * Bump Standards-version to 3.8.3, no changes needed
  * Remove dh_desktop
  * Add menu file
  * Remove patch targets in rules file, add Debian standard dpatch targets
  * Add README.source
  * Add call to dh_makeshlibs
  * Remove patch 01_remove_education. Education main category is needed
  * Add more information to copyright file
  * rm config.guess and config.sub in clean target
  * Exclude Makefile* from being installed to examples
  * Add dependency on autotools-dev

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 15 Nov 2009 22:41:24 +0100

gerbv (2.0.1-3) unstable; urgency=low

  * debian/control: made extra-xdg-menus as a recommendation instead of
  dependency.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Tue, 12 Feb 2008 22:44:38 +0530

gerbv (2.0.1-2) unstable; urgency=low

  * Added the patch from Peter Clifton <pcjc2@cam.ac.uk> (closes: #465275)
    + debian/rules: Added dpatch infrastructure
    + debian/control: Added build dependency on dpatch
    + patches/01_remove_education.dpatch: Removed "Education" category 
    from .desktop file
    + Add dependency on extra-xdg-menus, to provide an "Electronics" menu
    + Removed manual copying of .desktop and icon file (install now does this)
    + Added call to dh_icons, and bumped debhelper build-depends to 5.0.51

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Tue, 12 Feb 2008 08:48:56 +0530

gerbv (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 10 Feb 2008 19:57:33 +0530

gerbv (2.0.0-5) unstable; urgency=low

  * debian/rules: More cleanups. It does not delete the config.* files
  anymore. Instead it is copied from /usr/share/misc directory and used.
  This should make buildd happy. Tested with pbuilder.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 23 Jan 2008 23:15:19 +0530

gerbv (2.0.0-4) unstable; urgency=low

  * debian/rules: Minor cleanups. clean rules does distclean. Got missed out
  in the last upload.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 23 Jan 2008 10:08:46 +0530

gerbv (2.0.0-3) unstable; urgency=low

  * Makefile.am: distclean rule shouldn't remove `configure' script. So,
  modified Makefile.am and regenerated the autotools generated files. 
  Also notified the upstream.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 23 Jan 2008 08:38:25 +0530

gerbv (2.0.0-2) unstable; urgency=low

  * debian/rules: Minor cleanups to cleanly handle config.* files.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Tue, 22 Jan 2008 22:56:36 +0530

gerbv (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: package maintainer changed to Debian Electronics Team.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Mon, 21 Jan 2008 20:56:23 +0530

gerbv (1.0.2-1) unstable; urgency=medium

  * New upstream release
    * Fix incorrect display in some locales (closes: #374131, #302530)
      * Urgency medium as this bug is "grave"
    * Add desktop and icon files (closes: #367366)
  * Updated standards-revision to 3.7.2

 -- Hamish Moffatt <hamish@debian.org>  Sun, 27 Aug 2006 11:06:41 +1000

gerbv (1.0.1-2) unstable; urgency=low

  * Removed build-dep for xlibs-dev (requires gtk only)

 -- Hamish Moffatt <hamish@debian.org>  Sun,  8 Jan 2006 14:27:15 +1100

gerbv (1.0.1-1) unstable; urgency=low

  * New upstream release (closes: #301281), now compiled with GTK+ 2.0
    rather than 1.2
  * Fixed FTBFS with gcc-4.0 (src/drill.c); thanks to Andreas Jochens
    for the patch (closes: #286504)

 -- Hamish Moffatt <hamish@debian.org>  Fri, 25 Mar 2005 23:06:53 +1100

gerbv (0.16-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sun, 15 Aug 2004 15:34:15 +1000

gerbv (0.15-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sun,  1 Feb 2004 14:16:20 +1100

gerbv (0.14-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sun, 24 Aug 2003 01:00:46 +1000

gerbv (0.13-2) unstable; urgency=low

  * Recompile for libpng package changes

 -- Hamish Moffatt <hamish@debian.org>  Sat, 26 Apr 2003 13:02:32 +1000

gerbv (0.13-1) unstable; urgency=low

  * New upstream release
  * Upgraded to debhelper 4

 -- Hamish Moffatt <hamish@debian.org>  Sun, 23 Mar 2003 23:59:05 +1100

gerbv (0.12-1) unstable; urgency=low

  * New upstream release (closes: #182939)

 -- Hamish Moffatt <hamish@debian.org>  Sat,  1 Mar 2003 14:12:48 +1100

gerbv (0.11-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sun, 24 Nov 2002 16:41:01 +1100



=== debian/control ===
Source: gerbv
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>, Wesley J. Landaker <wjl@icecavern.net>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>, Gudjon I. Gudjonsson <gudjon@gudjon.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), libgtk2.0-dev, libglib2.0-dev, libpng12-dev, libcairo2-dev, autotools-dev
Homepage: http://gerbv.gpleda.org/
Vcs-Git: git://git.debian.org/pkg-electronics/gerbv.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/gerbv.git

Package: gerbv
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: extra-xdg-menus
Description: Gerber file viewer for PCB design
 gerbv is a utility for viewing Gerber RS-274X files, Excellon drill files, 
 and CSV pick-and-place files. Gerber files are used for communicating
 printed circuit board (PCB) designs to PCB manufacturers.

## gerbv 2.6.0

=== debian/changelog ===
gerbv (2.6.0-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.3

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 07 Mar 2012 07:25:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Hamish Moffatt <hamish@debian.org>, Wesley J. Landaker <wjl@icecavern.net>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>, Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8), libgtk2.0-dev, libglib2.0-dev, libpng12-dev, libcairo2-dev, autotools-dev
 Homepage: http://gerbv.gpleda.org/
 Vcs-Git: git://git.debian.org/pkg-electronics/gerbv.git

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS=-ldl

config.status: configure
	dh_testdir

	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --prefix=/usr --enable-exportpng  --disable-update-desktop-database

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE) 
	touch $@

clean:
	dh_testdir
	dh_testroot

	 [ ! -f Makefile ] || $(MAKE) distclean

	rm -f build-stamp config.log
	rm -f config.guess config.status config.sub

	dh_clean

binary-indep:   build
	dh_testroot
	dh_testdir
	# There are no architecture-independent files to be uploaded
	# generated by this package.  If there were any they would be
	# made here.

binary-arch:    build
	dh_testroot
	dh_testdir
	dh_clean

	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/gerbv
	rm `find $(DESTDIR) -name '*.la'`
	dh_icons
	dh_installdocs AUTHORS README TODO doc/*.txt
	dh_installexamples -XMakefile example/*
	dh_installchangelogs ChangeLog
	dh_installmenu
	dh_strip
	dh_lintian
	dh_compress -X.pcb -X.grb -X.gdo -X.gbx -X.pdf -X.gap -X.apt -X.off -X.exc -X.drd -X.sst
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:		binary-indep binary-arch
.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
version=3
http://sf.net/gerbv/gerbv-(.*)\.tar\.gz

## gerbv 2.6.1

=== debian/changelog ===
gerbv (2.6.1-3) unstable; urgency=medium

  * Add cross.patch to fix cross builds.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #879855)
  * Update standards version to 4.1.1
  * No need for autotools-dev sequence and dh-autoreconf dependency since we are using compat level 10

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 19 Nov 2017 09:58:28 +0100

gerbv (2.6.1-2) unstable; urgency=medium

  * Team upload.
  * Convert patches to git-buildpackage format
  * Add patch to fix FTBFS.
    This is a cherry-pick from upstream's git repository, ID dd8f9fa.
    (Closes: #851190)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 16 Jan 2017 09:47:02 +0100

gerbv (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 2.6.1
    - Refresh patches
    - Remove non-existant translations
  * Acknowledge NMU, thanks to Tobias Frost. (Closes: #819437)
  * Apply changes from debian/2.5.0-1 to debian/2.6.0-1 again.
    Those changes have accidentally been overwritten by Gudjon I. Gudjonsson.
  * Remove Hamish Moffatt <hamish@debian.org> from Uploaders. (Closes: #831477)
  * Update Vcs-* URLs
  * Remove menu file
  * Use debhelper v10 and dh-autoreconf
  * Remove configure option --enable-exportpng, not supported anymore

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 26 Dec 2016 20:28:25 +0100

gerbv (2.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libpng1.6 transistion: Change B-D from libpng12-dev to libpng-dev
    (Closes: #662346)
  * Remove Wesley J. Landaker from Uploaders, thanks for his contributions.
    (Closes: #759986)
  * Add an icon to the menu file, patch from BTS (Closes: #768024)
  * Fix homepage in d/control (Closes: #718261)

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Mar 2016 15:45:07 +0200

=== debian/control ===
Source: gerbv
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>,
           Gudjon I. Gudjonsson <gudjon@gudjon.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10),
               libcairo2-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libpng-dev
Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/gerbv.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/gerbv.git

Package: gerbv
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: extra-xdg-menus
Description: Gerber file viewer for PCB design
 gerbv is a utility for viewing Gerber RS-274X files, Excellon drill files,
 and CSV pick-and-place files. Gerber files are used for communicating
 printed circuit board (PCB) designs to PCB manufacturers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-update-desktop-database LDFLAGS="$(LDFLAGS) -ldl"

override_dh_install:
	dh_install
	find $(CURDIR)/debian/gerbv -name '*.la' -delete

override_dh_installexamples:
	dh_installexamples -XMakefile -X.cvsignore

override_dh_compress:
	dh_compress -X.pcb -X.grb -X.gdo -X.gbx -X.pdf -X.gap -X.apt -X.off -X.exc -X.drd -X.sst \
	-X.apr -X.DRL -X.GBL -X.GBO -X.GBS -X.GD1 -X.GG1 -X.GM2 -X.GTL -X.gbr -X.cnc -X.txt \
	-X.csv -X.GTO -X.GTS -X.REP -X.TXT

## gerbv 2.6.2

=== debian/changelog ===
gerbv (2.6.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0
    No further chnanges needed.
  * Fix homepage and VCS in control file
  * Update patch No-translation-available
  * Fix spelling error in manpage
  * Add keywords to desktop file
  * Change main desktop category to development
  * Remove unneded files
  * Set DEB_BUILD_MAINT_OPTIONS for hardening
  * Remove Ramakrishnan Muthukrishnan from the uploaders field
    Thanks Ramakrishnan for all packaging work in the past!
    (Closes: #859286)
  * Change required debhelper version to >=12, also bumping compat version
    accordingly
  * Remove -No-translation-available patch, not needed.
    Thanks to Carsten Schoenert for help with the packaging

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 09 Jan 2019 22:15:20 +0100

=== debian/control ===
Source: gerbv
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Build-Depends: debhelper (>= 12),
               libcairo2-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libpng-dev
Standards-Version: 4.3.0
Homepage: https://sourceforge.net/projects/gerbv/
Vcs-Git: https://salsa.debian.org/electronics-team/gerbv.git
Vcs-Browser: https://salsa.debian.org/electronics-team/gerbv

Package: gerbv
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: extra-xdg-menus
Description: Gerber file viewer for PCB design
 gerbv is a utility for viewing Gerber RS-274X files, Excellon drill files,
 and CSV pick-and-place files. Gerber files are used for communicating
 printed circuit board (PCB) designs to PCB manufacturers.

## gerbv 2.7.0

=== debian/changelog ===
gerbv (2.7.0-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Specially crafted input files can cause Gerbv to crash.
    - debian/patches/0003-fix-Out-of-bounds-memory-access-of-filename.patch:
      Fixes out-of-bounds memory access of filename.
    - CVE-2023-4508   

 -- Chris Kim <chris.kim@canonical.com>  Tue, 23 Apr 2024 15:37:14 -0700

gerbv (2.7.0-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds write when processing T code
    - debian/patches/CVE-2021-40391.patch: Returns -1 when encountering an
      invalid tool number in src/drill.c.
    - CVE-2021-40391
  * SECURITY UPDATE: arbitrary write when parsing RS-274X opcodes
    - debian/patches/CVE-2021-40393.patch: Adds verifications for addresses
      used when pushing and popping from memory in src/gerber.c.
    - CVE-2021-40393
  * SECURITY UPDATE: integer overflow when processing RS-274X files
    - debian/patches/CVE-2021-40394.patch: Checks if the input parameters
      can produce an integer overflow in src/gerber.c.
    - CVE-2021-40394
  * SECURITY UPDATE: out-of-bounds read when processing RS-274X files
    - debian/patches/CVE-2021-40400.patch: Limits the read location to the
      intentionally readable memory in src/gerber.c.
    - CVE-2021-40400
  * SECURITY UPDATE: use after free when processing RS-274X definitions
    - debian/patches/CVE-2021-40401.patch: Checks a function parsing
      strings to not return NULL in src/gerber.c.
    - CVE-2021-40401
  * SECURITY UPDATE: out-of-bounds read when parsing pick-and-place files
    - debian/patches/CVE-2021-40403.patch: Checks the return code of a
      sscanf call in src/pick-and-place.c.
    - CVE-2021-40403

 -- George-Andrei Iosif <andrei.iosif@canonical.com>  Wed, 05 Jul 2023 17:10:48 +0300

gerbv (2.7.0-1) unstable; urgency=medium

  * [ac52385] d/gbp.conf: adding helper for git-buildpackage
  * [bf02ed4] New upstream version 2.7.0
    (Closes: #848953)
  * [8514cb5] rebuild patch queue from patch-queue branch
    added patches:
    fixes/gerbv.desktop-Add-Keywords-entry.patch
    fixes/gerbv.desktop-Add-main-category-to-desktop-file.patch
    fixes/man-page-fix-misspelled-excercise-exercise.patch
    fixes/Fix-Werror-format-security-problem.patch
    renamed patches:
    cross.patch-> 
    debian-hacks/crossbuild-use-PKG_PROG_PKG_CONFIG-instead-of-AC_PATH_PRO.patch
    0001-Desktop-file.patch ->
    debian/patches/debian-hacks/gerbv.desktop-Remove-encoding-key.patch
    0002-Fix-manpage.patch ->
    debian/patches/fixes/man-page-correct-groff-syntax-for-escaping-of-hyphens.patch
    removed patches:
    0004-pnp-can-t-use-screen-units.patch
  * [cf663cc] d/control: add myself to the Uploaders field
    Thanks Gudjon I. Gudjonsson for acknowledge to add myself.
  * [bee876e] d/control: small update to package description 
    (Closes: #703950)
  * [5b0b4bb] d/README.source: adding packaging information

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 18 Feb 2019 17:57:45 +0100

=== debian/control ===
Source: gerbv
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends: debhelper (>= 12),
               libcairo2-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libpng-dev
Standards-Version: 4.3.0
Homepage: https://sourceforge.net/projects/gerbv/
Vcs-Git: https://salsa.debian.org/electronics-team/gerbv.git
Vcs-Browser: https://salsa.debian.org/electronics-team/gerbv

Package: gerbv
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: extra-xdg-menus
Description: Gerber file viewer (only RS 274 X format)
 gerbv is a utility for viewing Gerber RS-274X files, Excellon drill files,
 and CSV files for pick-and-place files. Gerber files are used for
 communicating printed circuit board (PCB) designs to PCB manufacturers.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+# Switch on the hardening
+export DEB_BUILD_MAINT_OPTIONS += hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@

## gerbv 2.7.1

=== debian/changelog ===
gerbv (2.7.1-1) unstable; urgency=medium

  * [38d0ddf] New upstream version 2.7.1
    Fixes CVE-2021-40391
  * [9b4c05e] Rebuild patch queue from patch-queue branch
    Added patch:
    fixes/spelling-Correct-misspelled-word-Ignorning.patch
  * [13ff444] Running wrap-and-sort -ast
  * [c801436] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [c8fde80] d/control: Update Homepage field
    Upstream has moved it's home to a new URL, and also has moved the project
    development over to GitHub.
  * [b2efc1c] d/u/metadata: Adding basic upstream project data
  * [542e587] d/watch: Define version 4

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 07 Nov 2021 11:19:36 +0100

gerbv (2.7.0-2) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * [f3c7633] Add gcc10-extern.patch to use extern for global vars.
    (Closes: #957267)
  * [d4bc4e0] d/control: Bump Standards-Version to 4.5.0
    No further changes required.
  * [a4a40c9] Add Rules-Requires-Root: no
    We don't need any fakeroot rights while package build.
  * [f06e02f] debhelper: move over to dh-compat 12
  * [b11ae8e] Remove trailing whitespaces
  * [6d28787] debhelper: increase dh-compat to version 13
  * [ce4181a] rebuild patch queue from patch-queue branch
    renamed patch:
    gcc10-extern.patch
     -> fixes/gcc10-extern.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 07 Jun 2020 10:01:13 +0200

=== debian/watch ===
version=4
http://sf.net/gerbv/gerbv-(.*)\.tar\.gz

## gerbv 2.8.0

=== debian/changelog ===
gerbv (2.8.0-1) unstable; urgency=medium

  * [e2538ad] d/watch: Update to use new GitHub location
  * [34085a7] New upstream version 2.8.0
  * [4314433] Rebuild patch queue from patch-queue branch
    Added patch:
    fixes/spelling-Correct-misspelled-word-seperatly.patch
    Dropped patches (fixed upstream):
    fixes/Fix-Werror-format-security-problem.patch
    fixes/gcc10-extern.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Nov 2021 20:06:55 +0100

## gerbv 2.8.2

=== debian/changelog ===
gerbv (2.8.2-1) unstable; urgency=medium

  * [68fb3b5] New upstream version 2.8.2
  * [ddaea51] Drop patch queue
    Dropped patch (applied upstream):
    fixes/Adjust-autotool-related-files-due-warnings-by-autoconf.patch
  * [59dba71] d/copyright: Rewrite to use DEP-5 style

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 24 Dec 2021 11:38:55 +0100

gerbv (2.8.1-1) unstable; urgency=medium

  * [0a4db9d] New upstream version 2.8.1
    (Closes: #727692)
  * [3c66364] Rebuild patch queue from patch-queue branch
    Added patch:
    fixes/Adjust-autotool-related-files-due-warnings-by-autoconf.patch
    Dropped patches (applied upstream):
    debian-hacks/crossbuild-use-PKG_PROG_PKG_CONFIG-instead-of-AC_PATH_PRO.patch
    debian-hacks/gerbv.desktop-Add-Keywords-entry.patch
    debian-hacks/gerbv.desktop-Add-main-category-to-desktop-file.patch
    debian-hacks/gerbv.desktop-Remove-encoding-key.patch
    fixes/man-page-correct-groff-syntax-for-escaping-of-hyphens.patch
    fixes/man-page-fix-misspelled-excercise-exercise.patch
    fixes/spelling-Correct-misspelled-word-Ignorning.patch
    fixes/spelling-Correct-misspelled-word-seperatly.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 27 Nov 2021 09:44:08 +0100

=== debian/control ===
Source: gerbv
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders:
 Gudjon I. Gudjonsson <gudjon@gudjon.org>,
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 debhelper-compat (= 13),
 libcairo2-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libpng-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gerbv.github.io/
Vcs-Git: https://salsa.debian.org/electronics-team/gerbv.git
Vcs-Browser: https://salsa.debian.org/electronics-team/gerbv

Package: gerbv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 extra-xdg-menus,
Description: Gerber file viewer (only RS 274 X format)
 gerbv is a utility for viewing Gerber RS-274X files, Excellon drill files,
 and CSV files for pick-and-place files. Gerber files are used for
 communicating printed circuit board (PCB) designs to PCB manufacturers.

## gerbv 2.9.2

=== debian/changelog ===
gerbv (2.9.2-1) unstable; urgency=medium

  * [ee03caf] New upstream version 2.9.2
    Fixes CVE-2021-40400, CVE-2021-40401, CVE-2021-40403
  * [b080d0b] d/control: Update Standards-Version to 4.6.1
    No further changes needed.
  * [c736be5] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Jun 2022 14:38:22 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libglib2.0-dev,
  libgtk2.0-dev,
  libpng-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://gerbv.github.io/
 Vcs-Git: https://salsa.debian.org/electronics-team/gerbv.git

## gerbv 2.9.3

=== debian/changelog ===
gerbv (2.9.3-1) unstable; urgency=medium

  * [32341ea] New upstream version 2.9.3
  * [6680189] Lintian: Adjust overrides for gerbv package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Oct 2022 16:55:08 +0200

## gerbv 2.9.4

=== debian/changelog ===
gerbv (2.9.4-1) unstable; urgency=medium

  * [91ab0cb] New upstream version 2.9.4
  * [47c157c] Lintian: Adjust overrides for gerbv package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 06 Nov 2022 07:57:29 +0100

## gerbv 2.9.5

=== debian/changelog ===
gerbv (2.9.5-1) unstable; urgency=medium

  * [6f7b797] New upstream version 2.9.5

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Nov 2022 09:44:27 +0100

## gerbv 2.9.6

=== debian/changelog ===
gerbv (2.9.6-1) unstable; urgency=medium

  * [d27dd89] New upstream version 2.9.6
  * [f6085ac] d/control: Update Standards-Version to 4.6.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 07 Jan 2023 09:22:51 +0100

## gerbv 2.9.8

=== debian/changelog ===
gerbv (2.9.8-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: Specially crafted input files can cause Gerbv to crash.
    - debian/patches/0003-fix-Out-of-bounds-memory-access-of-filename.patch:
      Fixes out-of-bounds memory access of filename.
    - CVE-2023-4508   

 -- Chris Kim <chris.kim@canonical.com>  Tue, 23 Apr 2024 09:15:46 -0700

gerbv (2.9.8-1) unstable; urgency=medium

  * [8864c8a] New upstream version 2.9.8

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Jun 2023 20:12:47 +0200

## gerbv 2.10.0

=== gerbv.github.io/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 .PHONY: clean
 clean:
-	if [ -f 'doc' ]; then		\
+	if [ -d 'doc' ]; then		\
 		rm -rf 'doc';		\
 	fi

=== debian/changelog ===
gerbv (2.10.0-2) unstable; urgency=medium

  * [daf4276] d/watch: Detect more upstream versions
  * [862c80e] Add patches from patch queue branch
    Added patches:
    Automated-formatting-using-clang-format.patch
    fix-Use-correct-API-for-compiling-with-gcc15.patch
    (Closes: #1096695)
  * [9ea1a12] d/watch: Convert to version 5
  * [ae1b52b] d/control: Set Hompage to GitHub project space
  * [5ad7efe] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [b80c59a] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [d1ef68f] d/copyright: Update year data
  * [525daba] d/u/metadata: Set additional info to
              https://gerbv.github.io/

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Sep 2025 10:32:23 +0200

gerbv (2.10.0-1) unstable; urgency=medium

  * [8476beb] New upstream version 2.10.0
    Fixes CVE-2023-4508
    (Closes: 1050560)
  * [237f3cf] d/rules: Add target override_dh_auto_clean
    (Closes: #1044912)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Aug 2023 22:01:54 +0530

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,8 @@
  libglib2.0-dev,
  libgtk2.0-dev,
  libpng-dev,
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
-Homepage: https://gerbv.github.io/
+Standards-Version: 4.7.2
+Homepage: https://github.com/gerbv/gerbv
 Vcs-Git: https://salsa.debian.org/electronics-team/gerbv.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/gerbv

=== debian/rules ===
#!/usr/bin/make -f

# Switch on the hardening
export DEB_BUILD_MAINT_OPTIONS += hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile ] || make distclean
	rm -f po/*.gmo po/gerbv.pot po/stamp-po

override_dh_auto_configure:
	dh_auto_configure -- --disable-update-desktop-database LDFLAGS="$(LDFLAGS) -ldl"

override_dh_install:
	dh_install
	find $(CURDIR)/debian/gerbv -name '*.la' -delete

override_dh_installexamples:
	dh_installexamples --exclude=Makefile --exclude=.cvsignore

override_dh_compress:
	dh_compress --exclude=.pcb --exclude=.grb --exclude=.gdo --exclude=.gbx \
	--exclude=.pdf --exclude=.gap --exclude=.apt --exclude=.off --exclude=.exc \
	--exclude=.drd --exclude=.sst --exclude=.apr --exclude=.DRL --exclude=.GBL \
	--exclude=.GBO --exclude=.GBS --exclude=.GD1 --exclude=.GG1 --exclude=.GM2 \
	--exclude=.GTL --exclude=.gbr --exclude=.cnc --exclude=.txt --exclude=.csv \
	--exclude=.GTO --exclude=.GTS --exclude=.REP --exclude=.TXT

=== debian/watch ===
Version: 5

Source: https://github.com/gerbv/gerbv.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none
